# watcher

## optimize action list

List information on retrieved actions.

    openstack optimize action list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--action-plan <action-plan>]
        [--audit <audit>]
        [--detail]
        [--limit <limit>]
        [--sort-key <field>]
        [--sort-dir <direction>]
        [--marker <marker>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--action-plan <action-plan>

  UUID of the action plan used for filtering.

--audit <audit>

  UUID of the audit used for filtering.

--detail

  Show detailed information about actions.

--limit <limit>

  Maximum number of actions to return per request, 0 for no limit. Default is the maximum number used by the Watcher API Service.

--sort-key <field>

  Action field that will be used for sorting.

--sort-dir <direction>

  Sort direction: “asc” (the default) or “desc”.

--marker <marker>

  UUID of the last action in the previous page; displays list of actions after “marker”.

This command is provided by the python-watcherclient plugin.

## optimize action show

Show detailed information about a given action.

    openstack optimize action show <action>

action

  UUID of the action

This command is provided by the python-watcherclient plugin.

## optimize action update

Update action command.

    openstack optimize action update
        [--state <state>]
        [--reason <reason>]
        <action>

--state <state>

  New state for the action (e.g., SKIPPED)

--reason <reason>

  Reason for the state change

action

  UUID of the action

This command is provided by the python-watcherclient plugin.

## optimize actionplan cancel

Cancel action plan command.

    openstack optimize actionplan cancel <action-plan>

action-plan

  UUID of the action_plan.

This command is provided by the python-watcherclient plugin.

## optimize actionplan delete

Delete action plan command.

    openstack optimize actionplan delete <action-plan> [<action-plan> ...]

action-plan

  UUID of the action plan

This command is provided by the python-watcherclient plugin.

## optimize actionplan list

List information on retrieved action plans.

    openstack optimize actionplan list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--audit <audit>]
        [--detail]
        [--limit <limit>]
        [--marker <actionplan>]
        [--sort-key <field>]
        [--sort-dir <direction>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--audit <audit>

  UUID of an audit used for filtering.

--detail

  Show detailed information about action plans.

--limit <limit>

  Maximum number of action plans to return per request, 0 for no limit. Default is the maximum number used by the Watcher API Service.

--marker <actionplan>

  The last actionplan UUID of the previous page; displays list of actionplans after “marker”.

--sort-key <field>

  Action Plan field that will be used for sorting.

--sort-dir <direction>

  Sort direction: “asc” (the default) or “desc”.

This command is provided by the python-watcherclient plugin.

## optimize actionplan show

Show detailed information about a given action plan.

    openstack optimize actionplan show <action-plan>

action-plan

  UUID of the action plan

This command is provided by the python-watcherclient plugin.

## optimize actionplan start

Start action plan command.

    openstack optimize actionplan start <action-plan>

action-plan

  UUID of the action_plan.

This command is provided by the python-watcherclient plugin.

## optimize actionplan update

Update action plan command.

    openstack optimize actionplan update
        <action-plan>
        <op>
        <path=value>
        [<path=value> ...]

action-plan

  UUID of the action_plan.

op

  Operation: ‘add’, ‘replace’, or ‘remove’.

path=value

  Attribute to add, replace, or remove. Can be specified multiple times. For ‘remove’, only <path> is necessary.

This command is provided by the python-watcherclient plugin.

## optimize audit create

Create new audit.

    openstack optimize audit create
        [-t <audit_type>]
        [-p <name=value>]
        [-i <interval>]
        [-g <goal>]
        [-s <strategy>]
        [-a <audit_template>]
        [--auto-trigger]
        [--name <name>]
        [--start-time <start_time>]
        [--end-time <end_time>]
        [--force]

-t <audit_type>, --audit_type <audit_type>

  Audit type. It must be ONESHOT, CONTINUOUS or EVENT. Default is ONESHOT.

-p <name=value>, --parameter <name=value>

  Record strategy parameter/value metadata. Can be specified multiple times.

-i <interval>, --interval <interval>

  Audit interval (in seconds or cron format). Cron interval can be used like: `*/5 * * * *`. Only used if the audit is CONTINUOUS.

-g <goal>, --goal <goal>

  Goal UUID or name associated to this audit.

-s <strategy>, --strategy <strategy>

  Strategy UUID or name associated to this audit.

-a <audit_template>, --audit-template <audit_template>

  Audit template used for this audit (name or uuid).

--auto-trigger

  Trigger automatically action plan once audit is succeeded.

--name <name>

  Name for this audit.

--start-time <start_time>

  CONTINUOUS audit local start time. Format: YYYY-MM-DD hh:mm:ss

--end-time <end_time>

  CONTINUOUS audit local end time. Format: YYYY-MM-DD hh:mm:ss

--force

  Launch audit even if action plan is ongoing. default is False

This command is provided by the python-watcherclient plugin.

## optimize audit delete

Delete audit command.

    openstack optimize audit delete <audit> [<audit> ...]

audit

  UUID or name of the audit

This command is provided by the python-watcherclient plugin.

## optimize audit list

List information on retrieved audits.

    openstack optimize audit list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--detail]
        [--goal <goal>]
        [--strategy <strategy>]
        [--limit <limit>]
        [--sort-key <field>]
        [--sort-dir <direction>]
        [--marker <marker>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--detail

  Show detailed information about audits.

--goal <goal>

  UUID or name of the goal used for filtering.

--strategy <strategy>

  UUID or name of the strategy used for filtering.

--limit <limit>

  Maximum number of audits to return per request, 0 for no limit. Default is the maximum number used by the Watcher API Service.

--sort-key <field>

  Audit field that will be used for sorting.

--sort-dir <direction>

  Sort direction: “asc” (the default) or “desc”.

--marker <marker>

  UUID of the last audit in the previous page; displays list of audits after “marker”.

This command is provided by the python-watcherclient plugin.

## optimize audit show

Show detailed information about a given audit.

    openstack optimize audit show <audit>

audit

  UUID or name of the audit

This command is provided by the python-watcherclient plugin.

## optimize audit update

Update audit command.

    openstack optimize audit update
        <audit>
        <op>
        <path=value>
        [<path=value> ...]

audit

  UUID or name of the audit.

op

  Operation: ‘add’, ‘replace’, or ‘remove’.

path=value

  Attribute to add, replace, or remove. Can be specified multiple times. For ‘remove’, only <path> is necessary.

This command is provided by the python-watcherclient plugin.

## optimize audittemplate create

Create new audit template.

    openstack optimize audittemplate create
        [-s <strategy>]
        [-d <description>]
        [--scope <path>]
        <name>
        <goal>

-s <strategy>, --strategy <strategy>

  Strategy UUID or name associated to this audit template.

-d <description>, --description <description>

  Description of the audit template.

--scope <path>

  Part of the cluster on which an audit will be done. Can be provided either in yaml or json file. YAML example:

      - compute:
        - host_aggregates:
          - id: 1
          - id: 2
          - id: 3
        - availability_zones:
          - name: AZ1
          - name: AZ2
        - exclude:
          - instances:
            - uuid: UUID1
            - uuid: UUID2
          - compute_nodes:
            - name: compute1
      - storage:
        - availability_zones:
          - name: AZ1
          - name: AZ2
        - volume_types:
          - name: lvm1
          - name: lvm2
        - exclude:
          - storage_pools:
            - name: host0@backend0#pool0
            - name: host1@backend1#pool1
          - volumes:
            - uuid: UUID1
            - uuid: UUID2
          - projects:
            - uuid: UUID1
            - uuid: UUID2

  JSON example:

      [
       {"compute":
            [{"host_aggregates": [
                  {"id": 1},
                  {"id": 2},
                  {"id": 3}]},
             {"availability_zones": [
                  {"name": "AZ1"},
                  {"name": "AZ2"}]},
             {"exclude": [
                  {"instances": [
                       {"uuid": "UUID1"},
                       {"uuid": "UUID2"}
                  ]},
                  {"compute_nodes": [
                       {"name": "compute1"}
                  ]}
             ]}]
        },
       {"storage":
            [{"availability_zones": [
                  {"name": "AZ1"},
                  {"name": "AZ2"}]},
             {"volume_types": [
                  {"name": "lvm1"},
                  {"name": "lvm2"}]},
             {"exclude": [
                  {"storage_pools": [
                       {"name": "host0@backend0#pool0"},
                       {"name": "host1@backend1#pool1"}
                  ]},
                  {"volumes": [
                       {"uuid": "UUID1"},
                       {"uuid": "UUID2"}
                  ]},
                  {"projects": [
                       {"uuid": "UUID1"},
                       {"uuid": "UUID2"}
                  ]},
             ]}]
        }
      ]

name

  Name for this audit template.

goal

  Goal UUID or name associated to this audit template.

This command is provided by the python-watcherclient plugin.

## optimize audittemplate delete

Delete audit template command.

    openstack optimize audittemplate delete
        <audit-template>
        [<audit-template> ...]

audit-template

  UUID or name of the audit template

This command is provided by the python-watcherclient plugin.

## optimize audittemplate list

List information on retrieved audit templates.

    openstack optimize audittemplate list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--detail]
        [--goal <goal>]
        [--strategy <strategy>]
        [--limit <limit>]
        [--sort-key <field>]
        [--sort-dir <direction>]
        [--marker <marker>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--detail

  Show detailed information about audit templates.

--goal <goal>

  UUID or name of the goal used for filtering.

--strategy <strategy>

  UUID or name of the strategy used for filtering.

--limit <limit>

  Maximum number of audit templates to return per request, 0 for no limit. Default is the maximum number used by the Watcher API Service.

--sort-key <field>

  Audit template field that will be used for sorting.

--sort-dir <direction>

  Sort direction: “asc” (the default) or “desc”.

--marker <marker>

  UUID of the last audit template of the previous page; displays list of audit templates after “marker”.

This command is provided by the python-watcherclient plugin.

## optimize audittemplate show

Show detailed information about a given audit template.

    openstack optimize audittemplate show <audit-template>

audit-template

  UUID or name of the audit template

This command is provided by the python-watcherclient plugin.

## optimize audittemplate update

Update audit template command.

    openstack optimize audittemplate update
        <audit-template>
        <op>
        <path=value>
        [<path=value> ...]

audit-template

  UUID or name of the audit_template.

op

  Operation: ‘add’, ‘replace’, or ‘remove’.

path=value

  Attribute to add, replace, or remove. Can be specified multiple times. For ‘remove’, only <path> is necessary.

This command is provided by the python-watcherclient plugin.

## optimize datamodel list

List information on retrieved data model.

    openstack optimize datamodel list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--type <type>]
        [--audit <audit>]
        [--detail]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--type <type>

  Type of Datamodel user want to list. Supported values: compute. Future support values: storage, baremetal. Default type is compute.

--audit <audit>

  UUID of the audit

--detail

  Show detailed information about data model.

This command is provided by the python-watcherclient plugin.

## optimize goal list

List information on retrieved goals.

    openstack optimize goal list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--detail]
        [--limit <limit>]
        [--sort-key <field>]
        [--sort-dir <direction>]
        [--marker <marker>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--detail

  Show detailed information about each goal.

--limit <limit>

  Maximum number of goals to return per request, 0 for no limit. Default is the maximum number used by the Watcher API Service.

--sort-key <field>

  Goal field that will be used for sorting.

--sort-dir <direction>

  Sort direction: “asc” (the default) or “desc”.

--marker <marker>

  UUID of the last goal in the previous page; displays list of goals after “marker”.

This command is provided by the python-watcherclient plugin.

## optimize goal show

Show detailed information about a given goal.

    openstack optimize goal show <goal>

goal

  UUID or name of the goal

This command is provided by the python-watcherclient plugin.

## optimize scoringengine list

List information on retrieved scoring engines.

    openstack optimize scoringengine list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--detail]
        [--limit <limit>]
        [--sort-key <field>]
        [--sort-dir <direction>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--detail

  Show detailed information about scoring engines.

--limit <limit>

  Maximum number of actions to return per request, 0 for no limit. Default is the maximum number used by the Watcher API Service.

--sort-key <field>

  Action field that will be used for sorting.

--sort-dir <direction>

  Sort direction: “asc” (the default) or “desc”.

This command is provided by the python-watcherclient plugin.

## optimize scoringengine show

Show detailed information about a given scoring engine.

    openstack optimize scoringengine show <scoring_engine>

scoring_engine

  Name of the scoring engine

This command is provided by the python-watcherclient plugin.

## optimize service list

List information on retrieved services.

    openstack optimize service list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--detail]
        [--limit <limit>]
        [--sort-key <field>]
        [--sort-dir <direction>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--detail

  Show detailed information about each service.

--limit <limit>

  Maximum number of services to return per request, 0 for no limit. Default is the maximum number used by the Watcher API Service.

--sort-key <field>

  Goal field that will be used for sorting.

--sort-dir <direction>

  Sort direction: “asc” (the default) or “desc”.

This command is provided by the python-watcherclient plugin.

## optimize service show

Show detailed information about a given service.

    openstack optimize service show <service>

service

  ID or name of the service

This command is provided by the python-watcherclient plugin.

## optimize strategy list

List information on retrieved strategies.

    openstack optimize strategy list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--goal <goal>]
        [--detail]
        [--limit <limit>]
        [--sort-key <field>]
        [--sort-dir <direction>]
        [--marker <marker>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--goal <goal>

  UUID or name of the goal

--detail

  Show detailed information about each strategy.

--limit <limit>

  Maximum number of strategies to return per request, 0 for no limit. Default is the maximum number used by the Watcher API Service.

--sort-key <field>

  Goal field that will be used for sorting.

--sort-dir <direction>

  Sort direction: “asc” (the default) or “desc”.

--marker <marker>

  UUID of the last strategy in the previous page; displays list of strategies after “marker”.

This command is provided by the python-watcherclient plugin.

## optimize strategy show

Show detailed information about a given strategy.

    openstack optimize strategy show <strategy>

strategy

  UUID or name of the strategy

This command is provided by the python-watcherclient plugin.

## optimize strategy state

Retrieve information about strategy requirements.

    openstack optimize strategy state
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        <strategy>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

strategy

  Name of the strategy

This command is provided by the python-watcherclient plugin.

this page last updated: 2026-07-15 15:33:41

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.